/******************************************
	TITLE:	        Use the serial port of the Arduino to send data to the computer
	Created by      Rudy Schlaf - eeawesome.com
	DATE:		11/2014
*******************************************/
#define LEDpin 6//this is the pin number that we are using to connect the LED
                //#define is a 'pre-compilation statement'; it simply means that throughout the text
                //of the sketch the word "LEDpin" is replaced with "2" before the sketch is compiled
                //and sent to the Arduino

int counter; //this defines a variable of the type integer (16 bit) with the name "counter". "int" is a so called 'type def'

void setup() {                
  // initialize the digital pin as an output. This enables it to provide electrical power to something 
  //like the LED that is hooked up to it.
  pinMode(LEDpin, OUTPUT); 
  Serial.begin(9600); //start serial communiction with the Arduino IDE's 'Serial Monitor'; "9600" specifies the "baud rate"
                      //of the communication. The baud rate specifies the number of signals per second that are transferred
                      //over the cable ("bus") to the computer.
}

void loop() {
  digitalWrite(LEDpin, HIGH);   // set the LED on
  delay(400);              // wait for half a second
 
  digitalWrite(LEDpin, LOW);    // set the LED off
  delay(400);              // wait for half a second
  
  counter=counter+1; //count the number of blinks
  Serial.print("counter variable:");
  Serial.println(counter);//this sends the counter value to the Serial Monitor; the "ln" after print causes a 'line feed'
                          //after the counter value is printed. Try it without the "ln" and see what happens...
}
